# Interface: NormalizedAnimation

[AnimationInput](../wiki/AnimationInput).NormalizedAnimation

Normalized animation input for internal use, created from AnimationInput

## Table of contents

### Properties

- [keyframes](../wiki/AnimationInput.NormalizedAnimation#keyframes)
- [options](../wiki/AnimationInput.NormalizedAnimation#options)

## Properties

### keyframes

• **keyframes**: `Keyframe`[]

#### Defined in

[AnimationInput.ts:12](https://github.com/tristanjohnson849/react-controlled-animations/blob/6260191/src/AnimationInput.ts#L12)

___

### options

• **options**: [`AnimationOptions`](../wiki/AnimationInput#animationoptions)

#### Defined in

[AnimationInput.ts:13](https://github.com/tristanjohnson849/react-controlled-animations/blob/6260191/src/AnimationInput.ts#L13)
